package fr.eni.enchere.dal;

import fr.eni.enchere.bo.UserProfil;

import java.util.List;

public interface UserRepository {
    List<UserProfil> findAll();
    UserProfil findById(int id);
    UserProfil findByUsername(String username);
    void save(UserProfil utilisateur);
    void delete(int id);
}
